# ARBClipControl (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBClipControl

    java.lang.Object
      org.lwjgl.opengl.ARBClipControl

    public final class ARBClipControl

extends java.lang.Object

Field Summary
`static int` `GL_CLIP_DEPTH_MODE` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_CLIP_ORIGIN` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` `GL_LOWER_LEFT` Accepted by the <origin> parameter of ClipControl:
`static int` `GL_NEGATIVE_ONE_TO_ONE` Accepted by the <depth> parameter of ClipControl:
`static int` `GL_UPPER_LEFT` Accepted by the <origin> parameter of ClipControl:
`static int` `GL_ZERO_TO_ONE` Accepted by the <depth> parameter of ClipControl:

Method Summary
`static void` `glClipControl(int origin, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_LOWER_LEFT

    public static final int GL_LOWER_LEFT

  Accepted by the <origin> parameter of ClipControl:

  See Also:
    Constant Field Values

### GL_UPPER_LEFT

    public static final int GL_UPPER_LEFT

  Accepted by the <origin> parameter of ClipControl:

  See Also:
    Constant Field Values

### GL_NEGATIVE_ONE_TO_ONE

    public static final int GL_NEGATIVE_ONE_TO_ONE

  Accepted by the <depth> parameter of ClipControl:

  See Also:
    Constant Field Values

### GL_ZERO_TO_ONE

    public static final int GL_ZERO_TO_ONE

  Accepted by the <depth> parameter of ClipControl:

  See Also:
    Constant Field Values

### GL_CLIP_ORIGIN

    public static final int GL_CLIP_ORIGIN

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_CLIP_DEPTH_MODE

    public static final int GL_CLIP_DEPTH_MODE

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glClipControl

    public static void glClipControl(int origin,
                                     int depth)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.